/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

/*** Header ***/
.menu>[class*=ct-mega-menu]>.sub-menu>.menu-item.menu-item-1388 a {
	font-weight: 400;
	text-decoration: underline;
}
[data-header*="type-1"] #offcanvas .mobile-menu li {
	align-items: flex-start;
	width: fit-content;
}
[data-header*="type-1"] #offcanvas .mobile-menu .ct-menu-link {
	width: auto;
}
@media (max-width: 999.98px) {
	[data-header*="type-1"] #offcanvas [class*=ct-toggle-close] {
		--theme-icon-size: 18px;
	}
}
@media (min-width: 1000px) and (max-width: 1260px) {
	[data-header*="type-1"] .ct-header [data-id="menu"] {
		--menu-items-spacing: 20px;
		--margin: 0 0 0 20px !important;
	}
	[data-header*="type-1"] .ct-header [data-id="logo"] .site-logo-container {
		--logo-max-height: 30px;
	}
}

/*** Footer ***/
[data-footer*="type-1"] .ct-footer [data-row*="middle"] .ct-widget .widget-menu {
	display: flex;
	flex-direction: column;
	gap: 12px;
}
[data-footer*="type-1"] .ct-footer [data-row*="middle"] .ct-widget .widget-menu li a {
	font-size: 18px;
}
@media (max-width: 999.98px) {
	[data-footer*="type-1"] .ct-footer [data-row*="middle"] .ct-widget .widget-menu {
		flex-direction: row;
	}
}
@media (max-width: 689.98px) {
	[data-footer*="type-1"] .ct-footer [data-column="widget-area-1"],
	[data-footer*="type-1"] .ct-footer [data-column="widget-area-2"],
	[data-footer*="type-1"] .ct-footer [data-column="widget-area-3"] {
		--text-horizontal-alignment: left;
		--horizontal-alignment: left;
	}

	[data-footer*="type-1"] .ct-footer [data-column="widget-area-1"] .wp-block-group .wp-block-image img {
		max-width: 150px;
	}

	[data-footer*="type-1"] .ct-footer [data-row*="middle"] .ct-widget .widget-menu {
		flex-direction: column;
	}
}

/*** File ***/
.wp-block-file a[id^="wp-block-file--media"] {
	display: none !important;
}
.wp-block-file a[id^="wp-block-file--media"]+.wp-block-file__button {
	margin-left: 0 !important;
}

/*** Figcaption ***/
.wp-block-gallery.has-nested-images figure.wp-block-image:has(figcaption):before {
	content: unset;
}
.wp-block-gallery.has-nested-images figure.wp-block-image figcaption {
	background: none;
	text-shadow: none;
	position: relative;
	color: initial;
	font-size: 14px;
	bottom: unset;
	left: unset;
	right: unset;
	padding: 0;
	margin-top: 1rem;
}

/*** Img compare ***/
.wp-block-icb-image-compare .icbImageCompare .icb-caption {
	padding-top: 1rem !important;
	padding-bottom: 0 !important;
	background: none !important;
}
.wp-block-icb-image-compare .icbImageCompare[device="tablet"],
.wp-block-icb-image-compare .icbImageCompare[device="mobile"] {
	width: 100% !important;
}

/*** CF7 ***/
.grecaptcha-badge {
	visibility: hidden !important;
}
.col-container {
	display: flex;
	flex-wrap: wrap;
	gap: 4%;
}
.one-half {
	flex: 1 1 48%;
	margin-bottom: 20px;
}
.one-third {
	flex: 1 1 30.66%;
	margin-bottom: 20px;
}
.one-full {
	flex: 1 1 100%;
	margin-bottom: 20px;
}
.wpcf7-form-control-wrap {
	display: block;
	margin-bottom: 20px;
}
.wpcf7-form-control-wrap textarea {
	height: auto;
}
.wpcf7-form-control-wrap .wpcf7-acceptance {
	display: inline-block;
}
.wpcf7-form-control-wrap .wpcf7-acceptance .wpcf7-list-item-label {
	font-size: 12px;
	line-height: 1.2;
	font-weight: 400;
}
.wpcf7 .wpcf7-submit {
	padding: 15px 35px;
}

/*** Single project launch ***/
.single-project-launch.wp-block-blocksy-query article {
	box-shadow: var(--theme-box-shadow);
	background-color: var(--theme-palette-color-8);
	--theme-box-shadow: 0px 12px 18px -6px rgba(34, 56, 101, 0.04);
	padding-bottom: 60px;
}
.single-project-launch.wp-block-blocksy-query article .ct-dynamic-media img {
	aspect-ratio: 21 / 9 !important;
}
.single-project-launch.wp-block-blocksy-query article .ct-dynamic-data {
	max-width: 960px;
	margin-left: auto;
	margin-right: auto;
}
.single-project-launch.wp-block-blocksy-query article .ct-dynamic-data p {
	font-size: 22px;
}
.single-project-launch.wp-block-blocksy-query article .wp-block-read-more {
	font-weight: 600;
	margin-left: auto;
	margin-right: auto;
}
.single-project-launch.wp-block-blocksy-query article .wp-block-read-more:hover {
	color: var(--theme-palette-color-8) !important;
	background-color: var(--theme-palette-color-2) !important;
}
@media(max-width: 575px) {
	.single-project-launch.wp-block-blocksy-query article h2.ct-dynamic-data {
		font-size: 28px;
	}

	.single-project-launch.wp-block-blocksy-query article .ct-dynamic-data p {
		font-size: initial;
	}
}

/*** Project card ***/
[data-cards="boxed"] .type-project .entry-card {
	padding-top: 0;
	text-align: center;

	.wp-block-post-featured-image {
		margin-left: -30px !important;
		width: calc(100% + 60px);
	}

	.wp-block-post-title {
		font-size: clamp(18px, 0.88rem + ((1vw - 3.2px) * 0.54), 21px) !important;
	}

	.wp-block-read-more {
		display: inline-block;
		width: unset;
	}

	.wp-block-read-more:hover {
		background-color: var(--theme-button-background-hover-color) !important;
	}
}

/*** Projects Related / Query loop ***/
[data-prefix="project_single"] .ct-related-posts article {
	padding: var(--card-inner-spacing, 30px);
	border: var(--card-border, none);
	box-shadow: var(--theme-box-shadow);
	border-radius: var(--theme-border-radius);
	background-color: var(--theme-palette-color-8);
	--theme-box-shadow: 0px 12px 18px -6px rgba(34, 56, 101, 0.04);

	text-align: center;
	padding-top: 0;

	.ct-media-container {
		margin-left: -30px !important;
		width: calc(100% + 60px);
		margin-bottom: 24px;
	}
}
[data-prefix="project_single"] .ct-related-posts article:hover a {
	color: var(--theme-link-hover-color);
}

/*** Service proj Query loop ***/
.related-service-projects.wp-block-query li.type-project {
	padding: var(--card-inner-spacing, 30px);
	border: var(--card-border, none);
	box-shadow: var(--theme-box-shadow);
	border-radius: var(--theme-border-radius);
	background-color: var(--theme-palette-color-8);
	--theme-box-shadow: 0px 12px 18px -6px rgba(34, 56, 101, 0.04);

	text-align: center;
	padding-top: 0;

	.wp-block-post-featured-image {
		margin-left: -30px !important;
		width: calc(100% + 60px);
		margin-bottom: 24px;
	}
}
.related-service-projects.wp-block-query li.type-project:hover a {
	color: var(--theme-link-hover-color);
}

/*** Breadcrumbs ***/
.tcb-cover #breadcrumbs,
.wp-block-stackable-columns.alignfull.stk-block-background .yoast-breadcrumbs {
	color: var(--theme-palette-color-6);
	text-transform: uppercase;
	font-size: 12px;
	font-weight: 600;
}
.tcb-cover #breadcrumbs a,
.wp-block-stackable-columns.alignfull.stk-block-background .yoast-breadcrumbs a {
	color: var(--theme-palette-color-6);
}
.tcb-cover #breadcrumbs a:hover,
.wp-block-stackable-columns.alignfull.stk-block-background .yoast-breadcrumbs a:hover {
	color: var(--theme-palette-color-1);
}
.tcb-cover #breadcrumbs .ct-separator,
.wp-block-stackable-columns.alignfull.stk-block-background .yoast-breadcrumbs .ct-separator {
	margin: 0 8px;
}

/*** Taxonomy Cover ***/
.tcb-cover {
	position: relative;
	background-size: cover;
	background-position: center;
	overflow: hidden;
	display: flex;
	align-items: end;
	padding: 200px 24px 130px;

	margin: 0 !important;
}
.tcb-cover__overlay {
	position: absolute;
	inset: 0;
	background: rgba(0,0,0,1);
	pointer-events: none;
}
.tcb-cover__inner {
	position: relative;
	max-width: 700px;
	width: 100%;
	margin: 0 auto;
}
.tcb-cover__title {
	font-size: var(--theme-font-size);
	line-height: 1.05;
	font-weight: 700;
	color: var(--theme-palette-color-8, #fff);
	margin: 0 auto 24px;
}
.tcb-cover__description {
	font-size: clamp(14.082px, 0.88rem + ((1vw - 3.2px) * 0.54), 21px);
	color: var(--theme-palette-color-8, #fff);
}
.tcb-cover--placeholder {
	background: #f6f7f7;
	color: #4f5b66;
	display: grid;
	place-items: center;
	min-height: 180px;
	border: 1px dashed #c3c4c7;
	border-radius: 8px;
}
.tcb-long-description {
	font-size: 18px;
}

/*** Service card ***/
.services-launch .stk-block-column:hover .stk-block-content .stk-link.stk-button {
	background-color: var(--theme-palette-color-2);
}

/*** Accordion ***/
@media (max-width: 767px) {
	.wp-block-stackable-accordion .stk-block-accordion__heading .stk-block-heading__text {
		font-size: 21px;
	}
}
@media (max-width: 575px) {
	.wp-block-stackable-accordion .stk-block-accordion__heading .stk-block-heading__text {
		font-size: 18px;
	}
}

/*** Contact page ***/
.wa-logo .stk-link {
	display: inline-block;
}
.contact-form .form-label {
	color: var(--theme-palette-color-6);
}